Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.IArchiveStorage Interface Reference

Defines facilities for data storage when updating Zip Archives. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.IArchiveStorage:
[legend]

## Public Member Functions
Stream | GetTemporaryOutput ()
| Get an empty Stream that can be used for temporary output.
Stream | ConvertTemporaryToFinal ()
| Convert a temporary output stream to a final stream.
Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of the original stream.
Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
void | Dispose ()
| Dispose of this instance.

## Properties
FileUpdateMode | UpdateMode`[get]`
| Get the FileUpdateMode to apply during updates.

## Detailed Description

Defines facilities for data storage when updating Zip Archives.

## Member Function Documentation

## ◆ ConvertTemporaryToFinal()

Stream ICSharpCode.SharpZipLib.Zip.IArchiveStorage.ConvertTemporaryToFinal | ( |  | ) |

Convert a temporary output stream to a final stream.

Returns
  The resulting final Stream

See also
  GetTemporaryOutput

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage, ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage, and ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.

## ◆ Dispose()

void ICSharpCode.SharpZipLib.Zip.IArchiveStorage.Dispose | ( |  | ) |

Dispose of this instance.

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage, ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage, and ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.

## ◆ GetTemporaryOutput()

Stream ICSharpCode.SharpZipLib.Zip.IArchiveStorage.GetTemporaryOutput | ( |  | ) |

Get an empty Stream that can be used for temporary output.

Returns
  Returns a temporary output Stream

See also
  ConvertTemporaryToFinal

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage, ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage, and ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.

## ◆ MakeTemporaryCopy()

Stream ICSharpCode.SharpZipLib.Zip.IArchiveStorage.MakeTemporaryCopy | ( | Stream | stream | ) |

Make a temporary copy of the original stream.

Parameters

  stream | The Stream to copy.

Returns
  Returns a temporary output Stream that is a copy of the input.

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage, ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage, and ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.

## ◆ OpenForDirectUpdate()

Stream ICSharpCode.SharpZipLib.Zip.IArchiveStorage.OpenForDirectUpdate | ( | Stream | stream | ) |

Return a stream suitable for performing direct updates on the original source.

Parameters

  stream | The current stream.

Returns
  Returns a stream suitable for direct updating.

This may be the current stream passed.

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage, ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage, and ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.

## Property Documentation

## ◆ UpdateMode

FileUpdateMode ICSharpCode.SharpZipLib.Zip.IArchiveStorage.UpdateMode
| get

Get the FileUpdateMode to apply during updates.

Implemented in ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage.

The documentation for this interface was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs